import tensorflow as tf # tensorflowをtfという名前で利用。

# 分析に使うデータの取得
mnist = tf.keras.datasets.mnist

# データを機械学習用とそのテスト用に分割
(x_train, y_train), (x_test, y_test) = mnist.load_data()
x_train, x_test = x_train / 255.0, x_test / 255.0

# 機械学習に関する設定
model = tf.keras.models.Sequential([
  tf.keras.layers.Flatten(input_shape = (28, 28)),
  tf.keras.layers.Dense(128, activation = 'relu'),
  tf.keras.layers.Dropout(0.2),
  tf.keras.layers.Dense(10, activation = 'softmax')
])

# 設定をもとに機械学習用のモデルを作成する
model.compile(optimizer = 'adam',
              loss = 'sparse_categorical_crossentropy',
              metrics = ['accuracy'])

# 機械学習の実行と精度の確認
model.fit(x_train, y_train, epochs = 5)
model.evaluate(x_test,  y_test, verbose = 2)
